Adding methods

## Functions

template<typename T = Coordinate>
void | geos::geom::CoordinateSequence::add (const T &c)
template<typename T>
void | geos::geom::CoordinateSequence::add (const T &c, bool allowRepeated)
template<typename T>
void | geos::geom::CoordinateSequence::add (const T &c, std::size_t pos)
| Inserts the specified coordinate at the specified position in this sequence. If multiple coordinates are to be added, a multiple- insert method should be used for best performance.
template<typename T>
void | geos::geom::CoordinateSequence::add (std::size_t i, const T &coord, bool allowRepeated)
| Inserts the specified coordinate at the specified position in this list.
void | geos::geom::CoordinateSequence::add (double x, double y)
void | geos::geom::CoordinateSequence::add (const CoordinateSequence &cs)
void | geos::geom::CoordinateSequence::add (const CoordinateSequence &cs, bool allowRepeated)
void | geos::geom::CoordinateSequence::add (const CoordinateSequence &cl, bool allowRepeated, bool forwardDirection)
void | geos::geom::CoordinateSequence::add (const CoordinateSequence &cs, std::size_t from, std::size_t to)
void | geos::geom::CoordinateSequence::add (const CoordinateSequence &cs, std::size_t from, std::size_t to, bool allowRepeated)
template<typename T, typename... Args>
void | geos::geom::CoordinateSequence::add (T begin, T end, Args... args)
template<typename T>
void | geos::geom::CoordinateSequence::add (std::size_t i, T from, T to)

## Detailed Description

## Function Documentation

## add() [1/4]

template<typename T = Coordinate>

void geos::geom::CoordinateSequence::add | ( | const T & | c | ) |

inline

Adds the specified coordinate to the end of the sequence. Dimensions present in the coordinate but not in the sequence will be ignored. If multiple coordinates are to be added, a multiple-insert method should be used for best performance.

References add(), and size().

Referenced by add(), add(), and add().

## add() [2/4]

template<typename T>

void geos::geom::CoordinateSequence::add | ( | const T & | c,
|  | bool | allowRepeated )

inline

Adds the specified coordinate to the end of the sequence. Dimensions present in the coordinate but not in the sequence will be ignored. If allowRepeated is false, the coordinate will not be added if it is the same as the last coordinate in the sequence. If multiple coordinates are to be added, a multiple-insert method should be used for best performance.

References add(), back(), and isEmpty().

## add() [3/4]

template<typename T>

void geos::geom::CoordinateSequence::add | ( | const T & | c,
|  | std::size_t | pos )

inline

Inserts the specified coordinate at the specified position in this sequence. If multiple coordinates are to be added, a multiple- insert method should be used for best performance.

Parameters

  c | the coordinate to insert
  pos | the position at which to insert

References setAt().

## add() [4/4]

template<typename T>

void geos::geom::CoordinateSequence::add | ( | std::size_t | i,
|  | const T & | coord,
|  | bool | allowRepeated )

inline

Inserts the specified coordinate at the specified position in this list.

Parameters

  i | the position at which to insert
  coord | the coordinate to insert
  allowRepeated | if set to false, repeated coordinates are collapsed

References add(), getAt(), and size().